<template>
  <FormSelect
    :model-value="modelValue"
    :options="userRoles"
    index="id"
    label="name"
    @update:model-value="$emit('update:modelValue', $event)"
  />
</template>

<script lang="ts" setup>
import type { UserRole } from "@/js/contexts/shared/models/UserRole";
import FormSelect from "@/js/contexts/form/ui/components/FormSelect.vue";
import useFetch from "@/js/contexts/shared/composables/useFetch";

defineProps<{
  modelValue: number | null;
}>();

defineEmits<{
  "update:modelValue": [value: number | null];
}>();

const userRoles = ref<UserRole[]>([]);
const userRolesFetch = useFetch("/api/admin/user-roles");

onMounted(() => {
  userRolesFetch.get<{ data: UserRole[] }>().then((response) => (userRoles.value = response.data.data));
});
</script>
